From: Chandra Seetharaman <sekharan@us.ibm.com>

Currently dm ignores the parameters provided to hardware handlers
without providing any notifications to the user.

This patch just prints a warning message so that the user knows that
the arguments are ignored.

Signed-off-by: Chandra Seetharaman <sekharan@us.ibm.com>
Signed-off-by: Alasdair G Kergon <agk@redhat.com>
---
 drivers/md/dm-mpath.c |    4 ++++
 1 files changed, 4 insertions(+)

Index: linux-2.6.28-rc4/drivers/md/dm-mpath.c
===================================================================
--- linux-2.6.28-rc4.orig/drivers/md/dm-mpath.c	2008-11-13 23:21:52.000000000 +0000
+++ linux-2.6.28-rc4/drivers/md/dm-mpath.c	2008-11-13 23:21:59.000000000 +0000
@@ -708,6 +708,10 @@ static int parse_hw_handler(struct arg_s
 		m->hw_handler_name = NULL;
 		return -EINVAL;
 	}
+
+	if (hw_argc > 1)
+		DMWARN("Ignoring user-specified arguments for "
+		       "hardware handler \"%s\"", m->hw_handler_name);
 	consume(as, hw_argc - 1);
 
 	return 0;
